LINUX.ORG.RU

Проблемы с broadcom-wl

 


0

1

Всем доброго вечера. У меня проблема, если конкретнее, то броадкомовский блоб после обновления видит сеть, но не может подключится, постоянно спрашивая пароль. Переустанавливал, компилировал те дрова что у самого броадкома на сайте - толку 0.00000%. brcmsmac не предлагать, он работает, но очень плохо ловит сигнал - даже на расстоянии в метров 5-6 сигнал ниже плинтуса.

дистр OpenSUSE 12.3, x86_64 ноут Thinkpad Edge s430, карточка BCM4313


Заводил BCM4313 по этому руководству http://ru.opensuse.org/SDB:Broadcom_Bcm43xx brcmsmac и broadcom-wl завелись без проблем. Сейчас стоит broadcom-wl

$ zypper if broadcom-wl
Загрузка данных о репозиториях...
Чтение установленных пакетов...


Сведения — пакет broadcom-wl:
-----------------------------
Репозиторий: packman
Имя: broadcom-wl
Версия: 6.30.223.141-2.1
Архитектура: i586
Производитель: http://packman.links2linux.de
Установлен: Да
Состояние: актуален
Размер после установки: 13,6 KiB
Сводка: Wireless driver for Broadcom 43xx series of chips
Описание: 
These packages contain Broadcom's IEEE 802.11a/b/g/n hybrid Linux®
device driver for use with Broadcom's BCM4311-, BCM4312-, BCM4321-,
and BCM4322-based hardware.

NOTE:           You must read the LICENSE.TXT file  before using this software.

Покажи

lsmod | grep "brcmsmac\|wl"

Allakka ★★★★ ()
Ответ на: комментарий от leg0las

Да стоит вроде как, до апдейта же работало и подключалось. Я бы уже давно себе бы собрал старые дрова на попробовать вот только где их брать хз - ну в пакмане ни на сайте броадкома их нет, только новые, с которыми у меня трабла.

nrader ()
Ответ на: комментарий от Allakka

Все эти пакеты у меня есть, и говорю же, работало до недавнего времени: ~~lsmod | grep «brcmsmac\|wl» wl 4207644 0 cfg80211 218484 1 wl

модуль есть, но он тупит.

nrader ()
Ответ на: комментарий от nrader

Я бы уже давно себе бы собрал старые дрова на попробовать вот только где их брать хз - ну в пакмане

Можно же скачать исходники всех версий пакета. Если нет аккаунта в packman, то насколько старую версию надо?

dinn ★★★★★ ()
Ответ на: комментарий от Allakka

скачал, но выявился новый сюрприз - при попытке собрать пятую версию дров ругается на asm/system.h , которого, как я вычитал, в новых ядрах уже нет. странно вообще, ветка 6 версии начинается сразу с 6.30 чтоли?

nrader ()
Ответ на: комментарий от nrader

ага http://www.broadcom.com/docs/linux_sta/README.txt

WHAT'S NEW IN RELEASE 6.30.223.126
----------------------------------
+ Upgraded to Support 3.8.x
+ Added 43142 support
+ Added 4352 support
+ Dropped WEXT support

WHAT'S NEW IN RELEASE 5.100.82.116
----------------------------------
+ Support for Linux kernels > 3.0

WHAT'S NEW IN RELEASE 5.100.82.115
----------------------------------
+ Added cfg80211 API support. The choice of API is done at compile time. If
kernel version >= 2.6.32, cfg80211 is used, otherwise wireless extension 
is used. (End users should notice little difference.)
+ Supports Linux kernel 2.6.38
+ Fix for problem with rebooting while wireless disabled via airline switch.
+ Fix for PR102197 STA does not connect to hidden SSID
+ Fix for PR102214: Could not get rssi (-22)" print comes in 'dmesg' output
+ Supports monitor mode
+ Supports hidden networks
+ Supports rfkill
Allakka ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.